Subject: Re: linux-next: build failure after merge of the slabh tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 29 Mar 2010 19:01:48 +1100

Hi Takashi,

On Mon, 29 Mar 2010 17:38:52 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> On Mon, 29 Mar 2010 08:28:09 +0200 Takashi Iwai <[email-masked]> wrote:
> >
> > Thanks, I applied all these oneliners to sound/usb/* as a single
> > patch now.
> 
> Again, thanks.  They were just one liner because I found them one at a
> time :-(

Looks like you missed the one that updated sound/usb/pcm.c ... ah, I
forgot to cc you, sorry.  Here is the patch again:

From: Stephen Rothwell <[email-masked]>
Date: Mon, 29 Mar 2010 16:37:58 +1100
Subject: [PATCH] sound: usb pcm: use of kmalloc requires the include of slab.h

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 sound/usb/pcm.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/sound/usb/pcm.c b/sound/usb/pcm.c
index 630e220..2bf0d77 100644
--- a/sound/usb/pcm.c
+++ b/sound/usb/pcm.c
@@ -15,6 +15,7 @@
  */
 
 #include <linux/init.h>
+#include <linux/slab.h>
 #include <linux/usb.h>
 #include <linux/usb/audio.h>
 #include <linux/usb/audio-v2.h>
-- 
1.7.0.3

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/